package com.wechi.adweb.bridge.exception;

import com.wechi.adweb.bridge.common.OpenAPIRequest;

import lombok.Data;

/**
 * @author wfansh
 */
@Data
public class BadRequestException extends Exception {

    private OpenAPIRequest apiRequest;

    public BadRequestException() {
        super();
    }

    public BadRequestException(OpenAPIRequest<?> apiRequest) {
        this.apiRequest = apiRequest;
    }

    public BadRequestException(String message, OpenAPIRequest<?> apiRequest) {
        super(message);
        this.apiRequest = apiRequest;
    }
}
