package com.wechi.adweb.bridge.google.analytics.dto;

import lombok.Builder;
import lombok.Data;

import org.apache.commons.lang3.StringUtils;

/**
 * @author wfansh
 */
@Data
@Builder
public class GAAccountDTO {

    private String id;

    private String name;

    private String displayName;

    private long createTime;

    private long updateTime;

    public static String getResourceName(String idOrName) {
        return StringUtils.isNumeric(idOrName) ? "accounts/" + idOrName : idOrName;
    }
}
